# Draw
TKViewerTest
Viewer2dTest

# Viewer2dTest_DataMapIteratorOfDataMapOfText Class Reference

`#include <Viewer2dTest_DataMapIteratorOfDataMapOfText.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | Viewer2dTest_DataMapIteratorOfDataMapOfText ()
Standard_EXPORT | Viewer2dTest_DataMapIteratorOfDataMapOfText (const Viewer2dTest_DataMapOfText &aMap)
Standard_EXPORT void | Initialize (const Viewer2dTest_DataMapOfText &aMap)
Standard_EXPORT const TCollection_AsciiString & | Key () const
Standard_EXPORT const Handle_Graphic2d_Text & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT Viewer2dTest_DataMapIteratorOfDataMapOfText::Viewer2dTest_DataMapIteratorOfDataMapOfText | ( |  | ) |

Standard_EXPORT Viewer2dTest_DataMapIteratorOfDataMapOfText::Viewer2dTest_DataMapIteratorOfDataMapOfText | ( | const Viewer2dTest_DataMapOfText & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void Viewer2dTest_DataMapIteratorOfDataMapOfText::Initialize | ( | const Viewer2dTest_DataMapOfText & | aMap | ) |

Standard_EXPORT const TCollection_AsciiString& Viewer2dTest_DataMapIteratorOfDataMapOfText::Key | ( |  | ) | const

void Viewer2dTest_DataMapIteratorOfDataMapOfText::operator delete | ( | void * | anAddress | ) | `[inline]`

void* Viewer2dTest_DataMapIteratorOfDataMapOfText::operator new | ( | size_t | size | ) | `[inline]`

void* Viewer2dTest_DataMapIteratorOfDataMapOfText::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_Graphic2d_Text& Viewer2dTest_DataMapIteratorOfDataMapOfText::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- Viewer2dTest_DataMapIteratorOfDataMapOfText.hxx